****************************************************************************
****************************************************************************
**                                                               
**  Platinum Edition : Version number header
**
**  Copyright 2012 by Patrick Davidson.  This software may be freely
**  modified and/or copied with no restrictions.  There is no warranty.
**
**  by Patrick Davidson (pad@calc.org, http://pad.calc.org/)
**
**  Last updated August 25, 2012
**
****************************************************************************
****************************************************************************

VERSION_STRING MACRO
        dc.b    '1.4'
        ENDM

DATE_STRING MACRO               
        dc.b    'Sept 1, 2012'
        ENDM

******************************************** INTERNAL VERSION NUMBER
*
* This is the internal version indicator.  It is used by the save game
* routine to ensure that the saved game it tries to restore is from the
* same version of the game.  The general format of it is $AABBCCDD, where
*
* AA is the author code.  This should identify who released the game, so
* that if two people happen to release versions with the same version number
* they won't conflict.  Currently used author codes are:
*
* $00 - Patrick Davidson
*
* If you plan to release modified versions, I would appreciate notifying me
* so I can assign one.
*
* I maintain an updated list on the game's web site, and also will include
* new values here when/if a new version is released.
*
* Note that since the saved game is now in a file, it might be a better idea
* to just use a different filename for games saved from your version.
*
* BB is the major version number; it would be 03 in version 3.50.
*
* CC is the minor version number; it would be 50 in version 3.50.
*
* DD is the revision number; if you release multiple versions with the same
* number (as in when distributing several successive versions to beta
* testers, for example) you should be sure to change this number in each
* version.  Updating the version is especially important in this case, as
* someone testing the program is likely to save the game and then get a new
* version right after that.
*
********

VERSION equ     $00010601
